# Enum Class HaplotypeProbabilities.Genotype

java.lang.Object
java.lang.Enum<HaplotypeProbabilities.Genotype>
picard.fingerprint.HaplotypeProbabilities.Genotype

All Implemented Interfaces:
  `Serializable, Comparable<HaplotypeProbabilities.Genotype>, Constable`

Enclosing class:
  `HaplotypeProbabilities`

protected static enum HaplotypeProbabilities.Genotype extends Enum<HaplotypeProbabilities.Genotype>
Log10(P(evidence| haplotype)) for the 3 different possible haplotypes {aa, ab, bb}

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HET_ALLELE12`
`HOM_ALLELE1`
`HOM_ALLELE2`

## Method Summary

Modifier and Type
Method
Description
`static HaplotypeProbabilities.Genotype`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HaplotypeProbabilities.Genotype[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HOM_ALLELE1

public static final HaplotypeProbabilities.Genotype HOM_ALLELE1

### HET_ALLELE12

public static final HaplotypeProbabilities.Genotype HET_ALLELE12

### HOM_ALLELE2

public static final HaplotypeProbabilities.Genotype HOM_ALLELE2

## Method Details

### values

public static HaplotypeProbabilities.Genotype[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HaplotypeProbabilities.Genotype valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null